org.wso2.carbon.device.mgt.mobile.windows.api.operations.util

## Enum OperationCode.Info

- java.lang.Object
- - java.lang.Enum<OperationCode.Info>
  - - org.wso2.carbon.device.mgt.mobile.windows.api.operations.util.OperationCode.Info

- All Implemented Interfaces:
    Serializable, Comparable<OperationCode.Info>
  Enclosing class:
    OperationCode

      public static enum OperationCode.Info
      extends Enum<OperationCode.Info>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATTERY_CHARGE_REMAINING`
    `BATTERY_ESTIMATED_RUNTIME`
    `BATTERY_QUERY`
    `BATTERY_STATUS`
    `CAMERA`
    `CAMERA_STATUS`
    `CHANNEL_URI`
    `DEV_ID`
    `DEVICE_MODEL`
    `DEVICE_NAME`
    `DEVICE_PASSCODE_DELETE`
    `DEVICE_PASSWORD_STATUS`
    `DEVICE_TYPE`
    `DM_VERSION`
    `ENCRYPT_STORAGE_STATUS`
    `IMEI`
    `IMSI`
    `LANGUAGE`
    `LATITUDE`
    `LOCK_PIN`
    `LOCK_RESET`
    `LONGITUDE`
    `MAC_ADDRESS`
    `MANUFACTURER`
    `MOBILE_ID`
    `OS_PLATFORM`
    `RESOLUTION`
    `SOFTWARE_VERSION`
    `TEST`
    `TOTAL_RAM`
    `TOTAL_STORAGE`
    `VENDOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `static OperationCode.Info` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationCode.Info[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEV_ID

          public static final OperationCode.Info DEV_ID

    - #### MANUFACTURER

          public static final OperationCode.Info MANUFACTURER

    - #### DEVICE_MODEL

          public static final OperationCode.Info DEVICE_MODEL

    - #### DM_VERSION

          public static final OperationCode.Info DM_VERSION

    - #### LANGUAGE

          public static final OperationCode.Info LANGUAGE

    - #### IMSI

          public static final OperationCode.Info IMSI

    - #### IMEI

          public static final OperationCode.Info IMEI

    - #### SOFTWARE_VERSION

          public static final OperationCode.Info SOFTWARE_VERSION

    - #### VENDOR

          public static final OperationCode.Info VENDOR

    - #### MAC_ADDRESS

          public static final OperationCode.Info MAC_ADDRESS

    - #### RESOLUTION

          public static final OperationCode.Info RESOLUTION

    - #### DEVICE_NAME

          public static final OperationCode.Info DEVICE_NAME

    - #### CHANNEL_URI

          public static final OperationCode.Info CHANNEL_URI

    - #### LOCK_PIN

          public static final OperationCode.Info LOCK_PIN

    - #### LOCK_RESET

          public static final OperationCode.Info LOCK_RESET

    - #### CAMERA

          public static final OperationCode.Info CAMERA

    - #### CAMERA_STATUS

          public static final OperationCode.Info CAMERA_STATUS

    - #### ENCRYPT_STORAGE_STATUS

          public static final OperationCode.Info ENCRYPT_STORAGE_STATUS

    - #### DEVICE_PASSWORD_STATUS

          public static final OperationCode.Info DEVICE_PASSWORD_STATUS

    - #### DEVICE_PASSCODE_DELETE

          public static final OperationCode.Info DEVICE_PASSCODE_DELETE

    - #### TOTAL_RAM

          public static final OperationCode.Info TOTAL_RAM

    - #### TOTAL_STORAGE

          public static final OperationCode.Info TOTAL_STORAGE

    - #### OS_PLATFORM

          public static final OperationCode.Info OS_PLATFORM

    - #### MOBILE_ID

          public static final OperationCode.Info MOBILE_ID

    - #### DEVICE_TYPE

          public static final OperationCode.Info DEVICE_TYPE

    - #### BATTERY_QUERY

          public static final OperationCode.Info BATTERY_QUERY

    - #### BATTERY_STATUS

          public static final OperationCode.Info BATTERY_STATUS

    - #### BATTERY_CHARGE_REMAINING

          public static final OperationCode.Info BATTERY_CHARGE_REMAINING

    - #### BATTERY_ESTIMATED_RUNTIME

          public static final OperationCode.Info BATTERY_ESTIMATED_RUNTIME

    - #### LONGITUDE

          public static final OperationCode.Info LONGITUDE

    - #### LATITUDE

          public static final OperationCode.Info LATITUDE

    - #### TEST

          public static final OperationCode.Info TEST

  - ### Method Detail

    - #### values

          public static OperationCode.Info[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationCode.Info c : OperationCode.Info.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationCode.Info valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public String getCode()

Copyright © 2017 WSO2. All rights reserved.